package org.project.entity;

import org.project.item.Item;
import org.project.item.weapons.Weapon;
import java.util.List;

public interface Entity {
    void attack(Entity target);
    void defend();
    void heal(int health);
    void fillMana(int mana);
    void takeDamage(int damage);
    int getMaxHP();
    int getMaxMP();
}
